	---
title: hide-on-enter-vr
type: components
layout: docs
parent_section: components
source_code: src/components/hide-on-enter-vr.js
examples: []
---

When the user enters VR this component will hide the entity by toggling it's `visible` state.

Depending on the immersive mode: VR or AR one might want to show / hide different entities.

## Example

```html
<a-entity hide-on-enter-vr></a-entity>
```

## Properties

None

## Events

None
